import { ScanditHTMLElement } from '@scandit/web-datacapture-core/build/js/private/utils/index.js';

declare class InputManuallyButton extends ScanditHTMLElement {
    static tag: "scandit-input-manually-button";
    constructor();
    connectedCallback(): Promise<void>;
    set text(text: string);
    get text(): string;
    static create(): InputManuallyButton;
    static register(): void;
    private static createStyleElement;
}
declare global {
    interface HTMLElementTagNameMap {
        [InputManuallyButton.tag]: InputManuallyButton;
    }
}

export { InputManuallyButton };
